
Base Distribution - Task # 46680

Work Package # 45013 (Resolved): Flexible plugin integration (TODO: Reviews)
Story # 40599 (Resolved): Include arbitrary Flow-Applications as Plugins

Status: Resolved Priority: Must have
Author: Marc Neuhaus Category:
Created: 2013-03-26 Assigned To: Marc Neuhaus
Updated: 2013-10-04 Due date: 2013-04-20
Subject: [FEATURE] Add ConfigurationProcessors for ContentTypes
Description

ContentType Configurations are currently only statically loaded from the
yaml Configuration. In order to dynamically add PluginViews to the static
ContentTypes i suggest to add a ConfigurationProcessor that's invoked while
constructing a ContentType to dynamically extend the existing ContentTypes.

Syntax

      'TYPO3.Neos.ContentTypes:PluginView':
        superTypes: ['TYPO3.Neos.ContentTypes:ContentObject']
        label: 'Plugin View'
        group: 'Plugins'
        showUneditableOverlay: false
        configurationProcessors:
          - '\TYPO3\Neos\ContentTypes\OptionsProvider\PluginViewsConfigurationProcessor'
        properties: []

Associated revisions
Revision 11bdbc1d - 2013-10-04 11:46 - Marc Neuhaus 

[FEATURE] NodeType configuration postprocessing

To add dynamic properties and configurations to the
node type configuration this change adds the concept
of NodeType postprocessors that can be added to modify
node type configurations.

Resolves: #46680
Change-Id: I954c2a3454740a38eed8a9dd6c4a8d9cbbbadd26
Reviewed-on: https://review.typo3.org/19285
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2013-04-02 13:20 - Bastian Waidelich
- Due date set to 2013-04-20

#2 - 2013-04-04 11:50 - Gerrit Code Review
https://review.typo3.org/19285


Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#3 - 2013-04-04 11:51 - Marc Neuhaus
- Status changed from New to Under Review

#4 - 2013-04-04 14:35 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#5 - 2013-04-04 14:41 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#6 - 2013-04-04 23:21 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#7 - 2013-04-15 11:07 - Marc Neuhaus
- % Done changed from 0 to 90

#8 - 2013-05-17 13:19 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#9 - 2013-05-26 20:48 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#10 - 2013-06-06 12:12 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#11 - 2013-06-06 16:37 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#12 - 2013-08-27 10:41 - Gerrit Code Review
Patch set 22 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#13 - 2013-10-01 12:06 - Gerrit Code Review

Patch set 23 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#14 - 2013-10-02 10:54 - Gerrit Code Review

Patch set 24 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#15 - 2013-10-04 11:45 - Gerrit Code Review

Patch set 25 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19285

#16 - 2013-10-04 12:36 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:11bdbc1d5ca1cb4375c5f0cc34ba3d54325be184.
